com.oracle.truffle.api.nodes

## Class LoopNode

- java.lang.Object
- - com.oracle.truffle.api.nodes.Node
  - - com.oracle.truffle.api.nodes.LoopNode

All Implemented Interfaces:
  NodeInterface, java.lang.Cloneable

Direct Known Subclasses:
  DefaultLoopNode

    public abstract class LoopNode
    extends Node

Experimental API: may change significantly without notice.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.api.nodes.Node

`Node.Child, Node.Children`

### Field Summary

Fields
`protected Node` `repeatingNode`

### Constructor Summary

Constructors
Constructor and Description
`LoopNode(RepeatingNode repeatingNode)`

### Method Summary

Methods
`abstract void` `executeLoop(VirtualFrame frame)`
`protected boolean` `executeRepeatingNode(VirtualFrame frame)`
`RepeatingNode` `getRepeatingNode()`

### Methods inherited from class com.oracle.truffle.api.nodes.Node

`accept, adoptChildren, assignSourceSection, atomic, atomic, clearSourceSection, clone, copy, getChildren, getCost, getDebugProperties, getDescription, getEncapsulatingSourceSection, getLanguage, getParent, getRootNode, getSourceSection, insert, insert, isReplaceable, onAdopt, onReplace, replace, replace, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### repeatingNode

    protected Node repeatingNode

### Constructor Detail

#### LoopNode

    public LoopNode(RepeatingNode repeatingNode)

### Method Detail

#### executeLoop

    public abstract void executeLoop(VirtualFrame frame)

#### executeRepeatingNode

    protected final boolean executeRepeatingNode(VirtualFrame frame)

#### getRepeatingNode

    public final RepeatingNode getRepeatingNode()